 
* dofile that produces green occupation counts

cls 

clear all

cap log close

log using OCCUPATIONCOUNT.log, text replace

*** Setting Global variable for ease of folder navigation
global data "$master\Data"
global temp "$data\temp"
global outputdata "$data\outputdata"
gl PALMS "$data\palms"
gl RESULTS "$master\output"

set more off

use "$PALMS/PALMS4_GTI_CLEAN.dta", clear

	collapse (sum) employed=newweight32 (rawsum) rawsum=employed (mean) GTI_Broad GTI_Narrow, by(occupation2)

	keep if GTI_Narrow>0|GTI_Broad>0
	
			order occupation2 GTI_Broad GTI_Narrow employed  

	label var occupation2 "ISCO-88 Title"
		label var GTI_Broad "GTI-Broad"
		label var GTI_Narrow "GTI-Strict"
		label var employed "Total employed"
		label var rawsum "Observations"
		
numlabel, add
save "$RESULTS\greenoccuplist", replace

/*use "$outputdata\greenoccuplist", clear

keep occupation2 greenshare employed rawsum

keep if greenshare>0  //O*net

export excel using "$outputdata\Green Occ List.xlsx",  sheetmodify  sheet("Green List") firstrow(varlabels) cell() keepcellfmt
*/

use "$RESULTS\greenoccuplist", clear
keep occupation2 GTI_Narrow employed 
keep if GTI_Narrow>0

export excel using "$RESULTS\Appendix.xlsx", sheet("TableA1", replace) firstrow(varlabels) 


use "$RESULTS\greenoccuplist", clear

keep occupation2 GTI_Broad employed 
keep if GTI_Broad>0

export excel using "$RESULTS\Appendix.xlsx", sheet("TableA2", replace) firstrow(varlabels) 

/*
use "$outputdata\greenoccuplist", clear

keep occupation2 green_binary employed rawsum
keep if green_binary>0    //O*net

export excel using "$outputdata\Green Occ List.xlsx",  sheetmodify  sheet("Green List") firstrow(varlabels) cell(M1) keepcellfmt

*/